<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_contact
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

?>
<div class="contact-form">
	<form id="contact-form" action="<?php echo JRoute::_('index.php'); ?>" method="post" class="form-validate form-horizontal well">
		
		<fieldset>
		<?php
			$fields = $this->form->getFieldset('contact');
			if (count($fields)):
				foreach ($fields as $field) :
					echo $field->renderField();
					//Telefon nach Email einfügen
					if ($field->fieldname === 'contact_email'):
						$fieldsExtra = $this->form->getFieldset('fields-0');  // fields-X --> X ist ID der Feldgruppe
						if (count($fieldsExtra)):
							foreach($fieldsExtra as $fieldExtra):
								echo $fieldExtra->renderField();
							endforeach;
						endif;
					endif;
					//Umfrage nach Nachrichtenfeld einfügen
					if ($field->fieldname === 'contact_message'):
						$fieldsExtra = $this->form->getFieldset('fields-3');  // fields-X --> X ist ID der Feldgruppe
						if (count($fieldsExtra)):
							foreach($fieldsExtra as $fieldExtra):
								echo $fieldExtra->renderField();
							endforeach;
						endif;
					endif;					
					
				endforeach;
			endif;
		?>
		</fieldset>
		
		<?php //Zusatzfelder und Captcha ?>
		<?php foreach ($this->form->getFieldsets() as $fieldset) : ?>
			<?php if ($fieldset->name != 'contact' && $fieldset->name != 'fields-0' && $fieldset->name != 'fields-3') : ?>
				<?php $fields = $this->form->getFieldset($fieldset->name); ?>
				<?php if (count($fields)) : ?>
					<fieldset>
						<?php if (isset($fieldset->label) && ($legend = trim(JText::_($fieldset->label))) !== '') : ?>
							<legend><?php echo $legend; ?></legend>
						<?php endif; ?>
						<?php foreach ($fields as $field) : ?>
							<?php echo $field->renderField(); ?>
						<?php endforeach; ?>
					</fieldset>
				<?php endif; ?>
			<?php endif; ?>
		<?php endforeach; ?>

		<div class="control-group">
			<div class="controls">
				<button class="btn btn-primary validate" type="submit"><?php echo JText::_('COM_CONTACT_CONTACT_SEND'); ?></button>
				<input type="hidden" name="option" value="com_contact" />
				<input type="hidden" name="task" value="contact.submit" />
				<input type="hidden" name="return" value="<?php echo $this->return_page; ?>" />
				<input type="hidden" name="id" value="<?php echo $this->contact->slug; ?>" />
				<?php echo JHtml::_('form.token'); ?>
			</div>
		</div>
	</form>
</div>
